      SUBROUTINE GETCOL(ICODE,JCODE)
C     
C     GETS A COLOR FOR THE TANDY 2000
C
C
      PARAMETER(NCOL=16)
$INCLUDE:'pxz99.cmn'
C
      DIMENSION ICOL(NCOL)
      DATA ICOL/100,200,300,400,500,600,700,800,
     & 900,1000,1100,1200,1300,1400,1500,1600/
      IF(ICODE.GT.99) THEN
      DO 10 I=2,NCOL
      IF(ICODE.LT.ICOL(I)) GO TO 20
   10 CONTINUE
      NNCOL=(NCOL-1)*100
      WRITE(*,*) 'COLOR NUMBER ',ICODE,' GT ',NNCOL
      STOP
   20 JCODE=ICODE-ICOL(I-1)
      JCOL=ICOL(I-1)/100
      ELSE IF(ICODE.GE.0) THEN
      JCOL=7
      JCODE=ICODE
      ELSE
      JCOL=0
      JCODE=IABS(ICODE)
      ENDIF
   30 RETURN
      END

